Debian Bug report logs - #370032
kolabd: Slapd throws errors with example slapd.conf as supplied in README.Debian

version graph

Package: kolabd; Maintainer for kolabd is Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>;

Reported by: Johannes Graumann <johannes_graumann@web.de>

Date: Fri, 2 Jun 2006 19:48:02 UTC

Severity: normal

Tags: confirmed, patch

Found in version kolabd/1.9.4dfsg-3

Fixed in version kolabd/1.9.4-20060707.dfsg-1

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>:
Bug#370032; Package kolabd. Full text and rfc822 format available.

Acknowledgement sent to Johannes Graumann <johannes_graumann@web.de>:
New Bug report received and forwarded. Copy sent to Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Graumann <johannes_graumann@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: pkg-kolab-devel@lists.alioth.debian.org
Subject: kolabd: Slapd throws errors with example slapd.conf as supplied in README.Debian
Date: Fri, 2 Jun 2006 12:07:58 -0700
[Message part 1 (text/plain, inline)]
Package: kolabd
Version: 1.9.4dfsg-3
Severity: normal
Tags: patch

See subject line and commentary in diff.

49c49,54
< require         none
---
> #require         none
> # produces this error
> #Jun  2 10:58:13 morannon slapd[21483]: /etc/ldap/slapd.conf: line 27: 
<require> unknown feature none 
> #Jun  2 10:58:13 morannon slapd[21483]: slapd stopped. 
> #Jun  2 10:58:13 morannon slapd[21483]: connections_destroy: nothing to 
destroy.
> 
58a64,67
> suffix          "dc=example,dc=com"
> # suffix needs to be moved here. Otherwise: 
> # Starting OpenLDAP: slapd - failed: 
> # /etc/ldap/slapd.conf: line 37: "checkpoint" must occur after "suffix".
64c73
< suffix          "dc=example,dc=com"
---
> #suffix          "dc=example,dc=com"

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (900, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-486
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages kolabd depends on:
ii  adduser                 3.87             Add and remove users and groups
ii  apache2-mpm-prefork     2.0.55-4         traditional model for Apache2
ii  apache2-utils           2.0.55-4         utility programs for webservers
ii  db4.2-util              4.2.52-24        Berkeley v4.2 Database Utilities
ii  kolab-cyrus-admin       2.2.12-7         Cyrus mail system (administration 
ii  kolab-cyrus-clients     2.2.12-7         Cyrus mail system (test clients)
ii  kolab-cyrus-imapd       2.2.12-7         Cyrus mail system (IMAP support)
ii  kolab-cyrus-pop3d       2.2.12-7         Cyrus mail system (POP3 support)
ii  kolab-resource-handlers 0.3.9-6          Scripts for the Kolab groupware 
se
ii  ldap-utils              2.3.23-1         OpenLDAP utilities
ii  libkolab-perl           0.9.2-5          Perl extensions for the Kolab 
Grou
ii  libmail-box-perl        2.065-1          Manage a message-folder
ii  libnet-netmask-perl     1.9012-1         parse, manipulate and lookup IP 
ne
ii  libsasl2-modules        2.1.19.dfsg1-0.2 Pluggable Authentication Modules 
f
ii  libterm-readkey-perl    2.30-3           A perl module for simple terminal 
ii  libterm-readline-gnu-pe 1.16-1           Perl extension for the GNU 
Readlin
ii  lsb-base                3.1-5            Linux Standard Base 3.1 init 
scrip
ii  openssl                 0.9.8b-2         Secure Socket Layer (SSL) binary 
a
ii  perl                    5.8.8-4          Larry Wall's Practical Extraction 
ii  postfix                 2.2.10-2         A high-performance mail transport 
ii  postfix-ldap            2.2.10-2         LDAP map support for Postfix
ii  sasl2-bin               2.1.19.dfsg1-0.2 Programs for manipulating the 
SASL
ii  slapd                   2.3.24-1         OpenLDAP server (slapd)

kolabd recommends no packages.

-- no debconf information
[README.Debian.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>:
Bug#370032; Package kolabd. Full text and rfc822 format available.

Acknowledgement sent to Steffen Joeris <steffen.joeris@credativ.de>:
Extra info received and forwarded to list. Copy sent to Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 370032@bugs.debian.org (full text, mbox):

From: Steffen Joeris <steffen.joeris@credativ.de>
To: 370032@bugs.debian.org
Subject: applied
Date: Thu, 29 Jun 2006 13:41:29 +0200
Hi

Thanks for your report and your effort. I submitted the first part of the 
patch, the second part is also fixed by another submit.

Greetings
Steffen



Tags added: confirmed Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johannes Graumann <johannes_graumann@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 370032-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 370032-close@bugs.debian.org
Subject: Bug#370032: fixed in kolabd 1.9.4-20060707.dfsg-1
Date: Fri, 15 Sep 2006 07:17:06 -0700
Source: kolabd
Source-Version: 1.9.4-20060707.dfsg-1

We believe that the bug you reported is fixed in the latest version of
kolabd, which is due to be installed in the Debian FTP archive:

kolabd_1.9.4-20060707.dfsg-1.diff.gz
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1.diff.gz
kolabd_1.9.4-20060707.dfsg-1.dsc
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1.dsc
kolabd_1.9.4-20060707.dfsg-1_all.deb
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1_all.deb
kolabd_1.9.4-20060707.dfsg.orig.tar.gz
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370032@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated kolabd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 15:56:22 +0200
Source: kolabd
Binary: kolabd
Architecture: source all
Version: 1.9.4-20060707.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 kolabd     - groupware server
Closes: 347262 368977 370032 370529 375431
Changes: 
 kolabd (1.9.4-20060707.dfsg-1) unstable; urgency=low
 .
   * New upstream release
 .
   [ Steffen Joeris ]
   * Include patch to allow configuration for syslog (Closes: #368977)
     Thanks to Marc Brockschmidt
   * Add minor remind to README.Debian
   * Include parts of the patch for the README.Debian documentation
     (Closes: #375431) Thanks to Shri Shrikumar
   * Correct order of slapd.conf in README.Debian to avoid complainings
     from slapd (Closes: #370032) Thanks to Johannes Graumann
   * Add specific dependency against postfix to make sure null_sender
     patch is available in postfix and update the README.Debian to make
     sure that we use the option null_sender= (Closes: #347262)
 .
   [ Noèl Köthe ]
   * add horde-sarge-iCal.patch to package. Only sarge
     horde needs it so README.Debian becomes shorter.:)
   * replace unclear command with more understandable command
     (closes: Bug#370529)
   * corrected svn.debian.org URL for new structure
 .
   [ Peter Eisentraut ]
   * Improved package description
   * Updated standards version
   * Fixed Build-Depends vs. Build-Depends-Indep
   * Added watch file
   * Changed priority to extra for policy conformance
   * Added placeholder man pages
Files: 
 e239ef6a46b361042c8e912fd6f0d51a 764 mail extra kolabd_1.9.4-20060707.dfsg-1.dsc
 9538472bf4cb581fe75f31ad9c6d2e53 103174 mail extra kolabd_1.9.4-20060707.dfsg.orig.tar.gz
 cf837c051b8202c93170d9393eac3943 18182 mail extra kolabd_1.9.4-20060707.dfsg-1.diff.gz
 930cf0634ccfa8f791c6c274fc5cc48e 102506 mail extra kolabd_1.9.4-20060707.dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCrIZTTx8oVVPtMYRAoRKAJ49vR/G+ae7jyWj2fVNwSQrnqwk/QCeJRQC
TCkCN9/J3JlUb0UHl2aBbLs=
=+XS2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:14:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.